﻿using AutoMapper;
using IRaCIS.Core.Application.Contracts.AutoMapper;
using Microsoft.Extensions.DependencyInjection;

namespace IRaCIS.Core.API
{
    public class AutoMapperConfigure
    {
        public static void ConfigureSwagger(IServiceCollection services)
        {
            AutoMapper.IConfigurationProvider config = AutoMapperConfig.RegisterMappings();
            services.AddSingleton(config);
            services.AddScoped<IMapper, Mapper>();
        }
    }
}
