﻿using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{
    public class DicViewModelDTO
    {
        public Guid Id { get; set; }
        public string KeyName { get; set; }
        public string Value { get; set; }
        public int ShowOrder { get; set; }
        public string Type { get; set; }
    }

    public class DicQueryDTO : PageInput
    {
        public string KeyName { get; set; }
    }

    public class KeyNameType
    {
        public Guid KeyId { get; set; }
        public string KeyName { get; set; }
        public string Type { get; set; }
    }

    public class DicResultDTO
    {
        public Dictionary<string, Dictionary<Guid, string>> DicList = new Dictionary<string, Dictionary<Guid, string>>();
    }
}
