﻿using System;
using System.Collections.Generic;

using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IMessageService
    {
        int GetUnReadMessageCount(Guid doctorId);
        IResponseOutput DeleteSysMessage(Guid messageId);
        IResponseOutput MarkedAsRead(Guid messageId);

        PageOutput<SysMessageDTO> GetMessageList(Guid doctorId, int pageSize, int pageIndex);
    }
}