﻿using System.Collections.Generic;

namespace IRaCIS.Core.Application.Contracts.Dicom.DTO
{
    public sealed class DicomArchiveResult
    {
        public int ReceivedFileCount { get; set; }
        public ICollection<string> ErrorFiles { get; set; }
        public ICollection<DicomStudyDTO> ArchivedDicomStudies { get; set; }

        public DicomArchiveResult()
        {
            ReceivedFileCount = 0;
            ErrorFiles = new List<string>();
            ArchivedDicomStudies = new List<DicomStudyDTO>();
        }
    }
}
