﻿using System;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialExperienceService
    {
        TrialExperienceViewModel GetTrialExperience(Guid doctorId);
        IResponseOutput AddOrUpdateTrialExperience(TrialExperienceCommand model);
        IResponseOutput DeleteTrialExperience(Guid id);
        IResponseOutput UpdateGcpExperience(GCPExperienceCommand model);
        IResponseOutput UpdateOtherExperience(Guid doctorId, string otherClinicalExperience);
    }
}