﻿using System;
using System.Collections.Generic;

using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IVacationService
    {
        IResponseOutput AddOrUpdateVacation(VacationCommand vacationViewModel);
        IResponseOutput DeleteVacation(Guid id);
        PageOutput<VacationCommand> GetVacationList(Guid doctorId, int pageIndex, int pageSize);
        
        /// <summary> 判断当前时间是否在休假 </summary>
        IResponseOutput OnVacation(Guid reviewerId);
    }
}
