﻿using IRaCIS.Application.ViewModels;
using IRaCIS.Application.ViewModels.Pay;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ICalculateService
    {
        IResponseOutput CalculateMonthlyPayment(CalculateDoctorAndMonthDTO param, string token);
        IResponseOutput UpdateLockStatus(List<Guid> reviewerIds, string yearMonth, bool isLock);
        List<CalculateNeededDTO> GetNeedCalculateReviewerList(Guid reviewerId, string yearMonth);
        bool IsLock(Guid reviewerId, string yearMonth);
        //bool ResetMonthlyPayment(Guid reviewerId, Guid trialId,string yearMonth);
    }
}
