﻿using IRaCIS.Application.ViewModels;
using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IExchangeRateService
    {
        IResponseOutput AddOrUpdateExchangeRate(ExchangeRateCommand model);
        decimal GetExchangeRateByMonth(string month);
        PageOutput<ExchangeRateCommand> GetExchangeRateList(ExchangeRateQueryDTO queryParam);

        IResponseOutput DeleteExchangeRate(Guid id);
    }
}
