﻿using System;
using System.Collections.Generic;
using IRaCIS.Application.ViewModels.Pay;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IPaymentAdjustmentService
    {
        PageOutput<PaymentAdjustmentDetailDTO> GetPaymentAdjustmentList(PaymentAdjustmentQueryDTO queryParam);
        IResponseOutput AddOrUpdatePaymentAdjustment(PaymentAdjustmentCommand addOrUpdateModel,Guid optUseId);
        IResponseOutput DeleteCostAdjustment(Guid id);
        void CalculateCNY(string yearMonth, decimal rate);
        List<DoctorSelectDTO> GetReviewerSelectList();
    }
}