﻿using System;
using System.Collections.Generic;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IRankPriceService
    {
        IResponseOutput AddOrUpdateRankPrice(RankPriceCommand addOrUpdateModel, Guid userId);

        PageOutput<RankPriceDTO> GetRankPriceList(RankPriceQueryDTO queryParam);

        IResponseOutput DeleteRankPrice( Guid id);

        List<RankDic> GetRankDic();
    }
}