﻿using System;
using System.Collections.Generic;

using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialPaymentPriceService
    {
        IResponseOutput AddOrUpdateTrialPaymentPrice(TrialPaymentPriceCommand addOrUpdateModel, Guid userId);//新增也不需要返回Id，TrialId 也是唯一
        PageOutput<TrialPaymentPriceDTO> GetTrialPaymentPriceList(TrialPaymentPriceQueryDTO queryParam);


        /// <summary>
        /// 上传入组后的Ack-SOW
        /// </summary>
        IResponseOutput UploadTrialSOW(Guid userId, TrialSOWPathDTO trialSowPath);



        IResponseOutput DeleteTrialSOW(Guid userId, DeleteSowPathDTO trialSowPath);
    }
}
