﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{
    public class HospitalDTO : HospitalCommand
    {

    }

    public class HospitalCommand
    {
        public Guid? Id { get; set; }
        public string HospitalName { get; set; }
        public string UniversityAffiliated { get; set; }
        public string Country { get; set; }
        public string Province { get; set; }
        public string City { get; set; }
    }

    public class HospitalQueryDTO : PageInput
    {
        public string HospitalName { get; set; } = string.Empty;
        public string Province { get; set; } = string.Empty;
        public string City { get; set; } = string.Empty;
    }
}
