﻿using System;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IRoleService
    {
        IResponseOutput AddOrUpdateRole(RoleCommand role,Guid userId);
        IResponseOutput DeleteRole(Guid roleId);
        PageOutput<RoleDTO> GetRoleListByPage(int pageIndex, int pageSize);

        PageOutput<UserSelectRoleDTO> GetRoleListByPage(Guid userId, int pageIndex, int pageSize);

        IResponseOutput UpdateUserRole(Guid userId, Guid roleId, bool isSelect);



    }
}
