﻿using System;
using System.Collections.Generic;

namespace IRaCIS.Application.ViewModels
{

    public class DictionaryTreeNode
    {
        public Guid Id { get; set; }
        public string KeyName { get; set; } = string.Empty;
        public string Type { get; set; }
        public List<DictionaryTreeNode> Children { get; set; }
    }

    public class MenuTreeNodeSelect
    {
        public Guid Id { get; set; }
        public Guid ParentId { get; set; }
        public string RouteName { get; set; }
        public string MenuName { get; set; }
        //public string Component { get; set; }
        //public string Redirect { get; set; }
        //public string Path { get; set; }
        //public string MetaTitle { get; set; }
        //public bool MetaBreadcrumb { get; set; }
        //public string MetaIcon { get; set; }
        //public string MetaActiveMenu { get; set; }
        public string FunctionName { get; set; }
        //public bool IsFunction { get; set; }
        public string Note { get; set; }
        public int ShowOrder { get; set; }
        //public int Status { get; set; }
        //public DateTime CreateTime { get; set; }
        //public Guid CreateUserId { get; set; }
        //public DateTime UpdateTime { get; set; }
        //public Guid UpdateUserId { get; set; }
        //public bool Hidden { get; set; }
        public List<MenuTreeNodeSelect> Children { get; set; }
        public bool IsSelect { get; set; } = false;
    }
    public class MenuTreeNode
    {
        public Guid Id { get; set; }
        public Guid ParentId { get; set; }
        public string RouteName { get; set; }
        public string MenuName { get; set; }
        public string Component { get; set; }
        public string Redirect { get; set; }
        public string Path { get; set; }
        public string MetaTitle { get; set; }
        public bool MetaBreadcrumb { get; set; }
        public string MetaIcon { get; set; }
        public string MetaActiveMenu { get; set; } 
        public string FunctionName { get; set; } 
        public bool IsFunction { get; set; } 
        public string Note { get; set; }
        public int ShowOrder { get; set; }
        public int Status { get; set; }
        public DateTime CreateTime { get; set; } 
        public Guid CreateUserId { get; set; } 
        public DateTime UpdateTime { get; set; }
        public Guid UpdateUserId { get; set; }
        public bool Hidden { get; set; }
        public List<MenuTreeNode> Children { get; set; }
    }
   
}