﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{
    public class TrialRevenuesPriceDTO
    {
       
        public Guid TrialId { get; set; }
        public decimal Timepoint { get; set; }
        public decimal TimepointIn24H { get; set; }
        public decimal TimepointIn48H { get; set; }
        public decimal Adjudication { get; set; }
        public decimal AdjudicationIn24H { get; set; }
        public decimal AdjudicationIn48H { get; set; }
        public decimal RefresherTraining { get; set; }
        
        public decimal Global { get; set; }
        public decimal Training { get; set; }
        public decimal Downtime { get; set; }
    }

    public class TrialRevenuesPriceDetialDTO : TrialRevenuesPriceDTO
    {
        public Guid Id { get; set; }
        public string TrialCode { get; set; }
        public string Indication { get; set; }
        public  int Expedited { get; set; }
        public string ReviewMode { get; set; }
        public  string Cro { get; set; }
    }
    public class TrialRevenuesPriceQueryDTO : PageInput
    {
        public string KeyWord { get; set; }
        public Guid? CroId { get; set; }
    }
}
