﻿

using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.DTO;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Core.Application.Contracts
{
    public interface IQATemplateService
    {
        IResponseOutput AddOrUpdateQATemplate(QATemplateCommand qaTemplateCommand);

        IResponseOutput DeleteQATemplate(Guid qaTemplateId);

        PageOutput<QATemplateDTO> GetQaTemplateList(QATemplateQueryDTO qaTemplateQuery);

        List<QATemplateItemDTO> GetQaTemplateItemsById(Guid qaTemplateId);

        List<QATemplateDTO> GetQaTemplateSelectList();

        List<QATemplateItemSelect> GetQaTemplateConfigList(Guid qaTemplateId);

        IResponseOutput ConfigQATemplate(QATemplateConfigCommand qaTemplateConfigCommand);
    }
}