﻿using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ISubjectService
    {
        IResponseOutput AddOrUpdateSubject(SubjectCommand model);
        IResponseOutput DeleteSubject(Guid id);
        PageOutput<SubjectQueryModel> GetSubjectList(SubjectQueryParam param);

        List<SubjectSelect> GetSubjectListBySiteId(Guid siteId, Guid trialId);

    }
}
