﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class CROCompanyDTO
    {
        public Guid Id { get; set; }
        public string CROName { get; set; } = string.Empty;
        public string CROCode { get; set; }
    }

    public class CroSelectDTO
    {
        public Guid Id { get; set; }
        public string CROName { get; set; } = string.Empty;
        public string CROCode { get; set; }
    }

    public class CROCompanyQueryDTO : PageInput
    {
        public string CROName { get; set; } = string.Empty;
    }

    public class CROCompanySelectSearchDTO
    {
        public string CROName { get; set; } = string.Empty;
    }
}