﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class SponsorDTO
    {
        public Guid Id { get; set; }
        public string SponsorName { get; set; } = string.Empty;
    }

    public class SponsorCommand
    {
        public Guid Id { get; set; }
        public string SponsorName { get; set; } = string.Empty;
    }

    public class SponsorQueryDTO : PageInput
    {
        public string SponsorName { get; set; } = string.Empty;
    }

    public class SponsorSelectDTO
    {
        public Guid Id { get; set; }
        public string SponsorName { get; set; } = string.Empty;
    }
}