﻿using System;
using System.Collections.Generic;

namespace IRaCIS.Application.ViewModels
{
    public class MenuFunctionCommand : MenuFunctionDTO
    {

    }

   

    public class MenuFunctionDTO
    {
        public Guid Id { get; set; } = Guid.Empty;
        public Guid ParentId { get; set; } = Guid.Empty;
        public string RouteName { get; set; } = string.Empty;
        public string MenuName { get; set; }
        public string Component { get; set; } = string.Empty;
        public string Redirect { get; set; } = string.Empty;
        public string Path { get; set; } = string.Empty;
        public string MetaTitle { get; set; } = string.Empty;
        public bool MetaBreadcrumb { get; set; }
        public string MetaIcon { get; set; } = string.Empty;
        public string MetaActiveMenu { get; set; } = string.Empty;
        public string FunctionName { get; set; } = string.Empty;
        public bool IsFunction { get; set; } = false;
        public string Note { get; set; } = string.Empty;
        public int ShowOrder { get; set; }
        public int Status { get; set; } = 1;
        public bool Hidden { get; set; }
        //public DateTime CreateTime { get; set; } = DateTime.Now;
        //public Guid CreateUserId { get; set; } = Guid.Empty;
        //public DateTime UpdateTime { get; set; } = DateTime.Now;
        //public Guid UpdateUserId { get; set; } = Guid.Empty;
    }

    public class RoleMenuFunctionSelectDTO
    {
        public Guid RoleId { get; set; }
        public List<Guid> MenuFunctionId { get; set; }
    }

}
