﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class RankPriceDTO
    {
        public Guid Id { get; set; }
        public string RankName { get; set; }
        public double Timepoint { get; set; }
        public double TimepointIn24H { get; set; }
        public double TimepointIn48H { get; set; }
        public double Adjudication { get; set; }
        public double AdjudicationIn24H { get; set; }
        public double AdjudicationIn48H { get; set; }
        public double Global { get; set; }
        public double Training { get; set; }
        public double Downtime { get; set; }
        public int ShowOrder { get; set; }
    }

    public class RankDic
    {
        public Guid Id { get; set; }
        public string RankName { get; set; }
    }

    public class RankPriceCOmmand
    {
        public Guid Id { get; set; }
        public string RankName { get; set; }
        public double Timepoint { get; set; }
        public double TimepointIn24H { get; set; }
        public double TimepointIn48H { get; set; }
        public double Adjudication { get; set; }
        public double AdjudicationIn24H { get; set; }
        public double AdjudicationIn48H { get; set; }
        public double Global { get; set; }
        public double Training { get; set; }
        public double Downtime { get; set; }
    }
    public class RankPriceQueryDTO : PageInput
    {
    }
}