﻿using System;

namespace IRaCIS.Application.ViewModels
{
    public class ReviewerPayInfoQueryDTO
    {
        public Guid DoctorId { get; set; }
        public string FirstName { get; set; }
        public string LastName { get; set; }
        public string ChineseName { get; set; }
        public string Code { get; set; }
        public string Phone { get; set; }
        public string DoctorNameInBank { get; set; }
        public string IDCard { get; set; }
        public string BankCardNumber { get; set; }
        public string BankName { get; set; }
        public Guid? RankId { get; set; }
        public double? Additional { get; set; }
        public DateTime? CreateTime { get; set; }
    }

    public class DoctorPayInfoQueryListDTO : ReviewerPayInfoQueryDTO
    {
        public string Hospital { get; set; }
        public string RankName { get; set; }
    }

    public class ReviewerPayInfoCommand
    {
        //public Guid Id { get; set; }
        public Guid DoctorId { get; set; }
        public string DoctorNameInBank { get; set; }
        public string IDCard { get; set; }
        public string BankCardNumber { get; set; }
        public string BankName { get; set; }
        public Guid RankId { get; set; }
        public double Additional { get; set; }
    }
}

