﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class TrialInterviewDTO
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public string Stage { get; set; }
        public string InterViewTime { get; set; }
        public string Description { get; set; }
        public DateTime CreateTime { get; set; }
    }

    public class InterviewQueryDTO : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string Keyword { get; set; } = string.Empty;
    }
}
