﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class TrialResearchCenterDTO
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public Guid ResearchCenterId { get; set; }
        public string MainCenter { get; set; }
        public DateTime OptTime { get; set; }
        public int State { get; set; }
    }

    public class TrialResearchCenterDetailDTO : TrialResearchCenterDTO
    {
        public string TrialCode { get; set; }
        public string TrialName { get; set; }
        public string ResearchCenterName { get; set; }
    }

    public class TrialCenterQueryDTO : PageInput
    {
        public Guid TrialId { get; set; }
        public Guid CenterId { get; set; }
    }
}
