﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class TrialRevenuesPriceDTO
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public double Timepoint { get; set; }
        public double TimepointIn24H { get; set; }
        public double TimepointIn48H { get; set; }
        public double Adjudication { get; set; }
        public double AdjudicationIn24H { get; set; }
        public double AdjudicationIn48H { get; set; }
        public double Global { get; set; }
        public double Training { get; set; }
        public double Downtime { get; set; }
    }

    public class TrialRevenuesPriceDetialDTO : TrialRevenuesPriceDTO
    {
        public string TrialCode { get; set; }
        public string Indication { get; set; }
        public  int Expedited { get; set; }
        public string ReviewMode { get; set; }
        public  string Cro { get; set; }
    }
    public class TrialRevenuesPriceQueryDTO : PageInput
    {
        public string KeyWord { get; set; }
        public Guid? CroId { get; set; }
    }
}
