﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class VisitPlanDTO
    {
        public Guid Id { get; set; }
        public Guid TrialId { get; set; }
        public string VisitPlanNum { get; set; }
        public string VisitPlanName { get; set; }
        public string VisitPlanTime { get; set; }
        public string Description { get; set; }
        public DateTime CreateTime { get; set; }
    }

    public class VisitPlanAddReturnDTO
    {
        public Guid NewId { get; set; }
        public string VisitPlanNum { get; set; }
    }
    public class VisitPlanQueryDTO : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string Keyword { get; set; } = string.Empty;
    }
}
