﻿using System;

namespace IRaCIS.Core.Domain.Share.AuthUser
{
    /// <summary>
    /// 用户信息接口
    /// </summary>
    public interface IUserInfo
    {
        /// <summary>
        /// 主键
        /// </summary>
        Guid Id { get; }

        /// <summary>
        /// 用户名
        /// </summary>
        string UserName { get; }

        /// <summary>
        /// 昵称
        /// </summary>
        string RealName { get; }
        string ReviewerCode { get; }
    }
}
