﻿namespace IRaCIS.Core.Domain.Share
{
    public enum ContractorStatus
    {
        None = 0,//搜索时不条件查询--未添加信息时数据库的默认值
        Cooperation = 1,
        Noncooperation = 2
    }

    public enum ReviewerInformationConfirmStatus
    {
        None = 0,
        ConfirmPass = 1,
        ConfirmRefuse = 2
    }

    

    public enum ReviewerEnrollStatus
    {
        Yes = 1,
        No = 0
    }
    public enum ResumeStatus
    {
        None = 0,
        Pass = 1,
        Failed = 2
    }


    public enum DoctorTrialState
    {
        NotApply = 0,

        //已申请
        HasAppliedDownLoad = 1,

        //审核通过
        AuditPass = 2,

        AuditFailed = 3,

        //已下载
        ResumeHasDownLoad = 4,

        //已邀请--已确认该名单
        Inviting = 5,

        //同意入组
        InviteConfirmed = 6,

        //拒绝入组
        InviteRefused = 7,

        HasUploadAgreement = 8

    }

}