using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("VolumeReward")]
    public partial class VolumeReward : Entity, IAuditUpdate, IAuditAdd
    {
        public decimal Price { get; set; }
        public int Min { get; set; }
        public int Max { get; set; }
        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
