﻿using System;
using System.Collections.Generic;

namespace IRaCIS.Core.Domain.Models
{
    public class QARecord : Entity, IAuditAdd
    {
        public Guid StudyId { get; set; }

        public Guid QATemplateId { get; set; }

        public DateTime? DeadlineTime { get; set; }

        public string Note { get; set; } = string.Empty;

        public DateTime CreateTime { get; set; } = DateTime.Now;

        public Guid CreateUserId { get; set; } = Guid.Empty;

        public virtual ICollection<QADictionary> QaDictionaryList { get; set; }

        public QARecord()
        {
            //存放医生关联  Title、等各种多选项
            QaDictionaryList = new HashSet<QADictionary>();
        }



    }
}