﻿using System;

namespace IRaCIS.Core.Domain.Models
{
    public class QATemplate : Entity, IAuditUpdate, IAuditAdd
    {
        public string Name { get; set; } = string.Empty;
        public string Description { get; set; } = string.Empty;

        public DateTime CreateTime { get; set; } = DateTime.Now;
        public Guid CreateUserId { get; set; } = Guid.Empty;
        public DateTime UpdateTime { get; set; } = DateTime.Now;
        public Guid UpdateUserId { get; set; } = Guid.Empty;
    }
}