﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{
    public class SystemLogDTO
    {
        public Guid Id { get; set; }
        public string ApiPath { get; set; } = string.Empty;
        public string Params { get; set; } = string.Empty;
        public string Result { get; set; } = string.Empty;
        public DateTime RequestTime { get; set; } = DateTime.Now;
        public long ElapsedMilliseconds { get; set; } = 0;
        public Guid OptUserId { get; set; } = Guid.Empty;
        public string OptUserName { get; set; } = string.Empty;
        public string ClientIP { get; set; } = string.Empty;
        public bool Status { get; set; } = true;
        public string Message { get; set; } = string.Empty;
        public string LogCategory { get; set; } = string.Empty;
    }

    public class QueryLogQueryDTO : PageInput
    {
        public string Keyword { get; set; } = string.Empty;
        public string LogCategory { get; set; } = string.Empty;
        public DateTime BeginTime { get; set; } = DateTime.Now;
        public DateTime EndTime { get; set; } = DateTime.Now;
    }
}
