﻿using System;

namespace IRaCIS.Core.Application.Contracts.Dicom.DTO
{
    public class StudyStatusDetailDTO
    {
        public Guid Id { get; set; }
        public Guid StudyId { get; set; }
        public int Status { get; set; }
        public string OptUserName { get; set; }
        public DateTime OptTime { get; set; }
        public string Note { get; set; } = string.Empty;
    }

    public class StudyStatusDetailCommand
    {
        public Guid StudyId { get; set; }
        public int Status { get; set; }
        public string Note { get; set; } = string.Empty;
        public string QAComment { get; set; } = string.Empty;
    }
}
