﻿using System;

using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IDoctorAccountService
    {
        IResponseOutput Register(DoctorAccountRegisterDTO doctorAccount);
        DoctorAccountDTO Login(DoctorAccountLoginDTO doctorAccount);
        IResponseOutput UpdatePassword(DoctorAccountUpdatePasswordCommand doctorAccount);
    }
}
