﻿using System;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IEducationService
    {

        DoctorEducationExperienceDTO GetEducation(Guid doctorId);

        #region  教育经历
        IResponseOutput AddOrUpdateEducationInfo(EducationCommand doctorEducationInfoViewModel);

        IResponseOutput DeleteEducationInfo(Guid doctorId);

        #endregion




        #region 继续教育经历
        IResponseOutput AddOrUpdatePostgraduateInfo(PostgraduateCommand doctorContinueLearningViewModel);
        IResponseOutput DeletePostgraduateInfo(Guid doctorId);

        #endregion

    }
}