﻿using IRaCIS.Core.Domain.Share;
using System;

namespace IRaCIS.Application.ViewModels
{
    public class TrialPaymentPriceDTO
    {
        public Guid TrialId { get; set; }
        public string TrialCode { get; set; }
        public string Indication { get; set; }
        public string Cro { get; set; }
        public int Expedited { get; set; }
        public decimal? TrialAdditional { get; set; }
        public DateTime? CreateTime { get; set; }
        public string SowName { get; set; }
        public string SowPath { get; set; }
        public string SowFullPath => SystemConfig.RootUrl + SowPath;

        public string DoctorsNames { get; set; } = String.Empty;

        public string ReviewMode { get; set; } = String.Empty;
        public decimal AdjustmentMultiple { get; set; } = 1;

        public bool? IsNewTrial { get; set; }
    }

    public class TrialPaymentPriceCommand
    {
        public Guid TrialId { get; set; }
        public decimal TrialAdditional { get; set; }
        public decimal AdjustmentMultiple { get; set; }

        public bool? IsNewTrial { get; set; }


    }
}
