﻿using System;
using System.Collections.Generic;

using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IReviewerPayInfoService
    {
        IResponseOutput AddOrUpdateReviewerPayInfo(ReviewerPayInfoCommand addOrUpdateModel, Guid userId);
        PageOutput<DoctorPayInfoQueryListDTO> GetDoctorPayInfoList(DoctorPaymentInfoQueryDTO queryParam);
        DoctorPayInfoQueryListDTO GetReviewerPayInfo(Guid doctorId);
        List<Guid> GetReviewerIdByRankId(Guid rankId);
    }
}
