﻿using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialRevenuesPriceService
    {
        IResponseOutput AddOrUpdateTrialRevenuesPrice(TrialRevenuesPriceDTO model);
        bool DeleteTrialCost(Guid Id);
        PageOutput<TrialRevenuesPriceDetialDTO> GetTrialRevenuesPriceList(TrialRevenuesPriceQueryDTO param);

    }
}
