﻿using System;
using System.Collections.Generic;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ICroService
    {
        PageOutput<CROCompanyDTO> GetCroList(CROCompanyQueryDTO queryModel);
        IEnumerable<CroSelectDTO> GetCroSearchList();
        IResponseOutput AddOrUpdateCro(CROCompanyDTO addCroCompanyViewModel,Guid userId);
        IResponseOutput DeleteCro(Guid croCompanyId);
    }
}