﻿using System;
using System.Collections.Generic;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface IHospitalService
    {
        /// <summary>获取医院列表</summary>
        IEnumerable<HospitalDTO> GetHospitalList();
        PageOutput<HospitalDTO> GetHospitalPageList(HospitalQueryDTO queryModel);
        IResponseOutput AddOrUpdateHospital(HospitalCommand model);
        IResponseOutput DeleteHospital(Guid hospitalId);

    }
}