﻿using System;
using System.Collections.Generic;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ISiteService
    {
        PageOutput<SiteSelectDTO> GetSiteList(SiteQueryParam queryModel);
        IEnumerable<SiteSelectionDTO> GetSiteList();
        IResponseOutput AddOrUpdateSite(SiteCommand AddModel, Guid userId);
        IResponseOutput DeleteSite(Guid researchCenterId);


    }
}