﻿using System;
using System.Collections.Generic;
using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ISponsorService
    {
        PageOutput<SponsorDTO> GetSponsorList(SponsorQueryDTO queryParam);
        IEnumerable<SponsorSelectDTO> GetSponsorSearchList();
        IResponseOutput AddOrUpdateSponsor(SponsorCommand model);
        IResponseOutput DeleteSponsor(Guid sponsorId);
    }
}