﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.ViewModels
{
    public class VisitStageSelectDTO
    {
        public Guid Id { get; set; }
        public string VisitName { get; set; }
        public int VisitDay { get; set; }
    }

    public class VisitStageDTO: VisitPlanCommand
    {
        public DateTime CreateTime { get; set; }
    }

    public class VisitPlanCommand
    {
        public Guid? Id { get; set; }
        public Guid TrialId { get; set; }

        public decimal VisitNum { get; set; }
        public string VisitName { get; set; }
        public int VisitDay { get; set; }
        public string Description { get; set; }
        public bool NeedGlobal { get; set; }
    }

   
    public class VisitPlanQueryDTO : PageInput
    {
        public Guid TrialId { get; set; } = Guid.Empty;
        public string Keyword { get; set; } = string.Empty;
    }
}
