﻿using IRaCIS.Application.ViewModels;
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Application.Interfaces
{
    public interface ITrialAttachmentService
    {
        IResponseOutput AddOrUpdateSpecification(TrialAttachmentCommand model,Guid userId);
        IResponseOutput DeleteSpecification(Guid Id);

        IEnumerable<AcquisitionSpecificationDTO> GetSpecificationList(
            Guid trialId,string type);


        ///// <summary>
        ///// 获取采集规范列表
        ///// </summary>
        ///// <param name="param"></param>
        ///// <returns></returns>
        //PageOutput<AcquisitionSpecificationDTO> GetSpecificationList(ImageAcquisitionSpecificationQueryDTO param);

    }
}
