﻿using System;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Core.Application.Contracts.DTO
{
    public class QATemplateCommand
    {
        public Guid? Id { get; set; }
        public string Name { get; set; }

        public string Description { get; set; }
    }

    public class QATemplateDTO: QATemplateCommand
    {

    }

    public class QATemplateQueryDTO : PageInput
    {
        public string Name { get; set; }
    }

    public class QATemplateItemSelect: QATemplateItemDTO
    {
        public bool IsSelect { get; set; }
    }

    public class QATemplateItemDTO
    {
        public string DictionaryValue { get; set; }

        public Guid DictionaryId { get; set; }
    }

    public class QATemplateConfigCommand
    {
        public Guid DictionaryId { get; set; }

        public Guid QATemplateId { get; set; }
        
        public bool IsSelect { get; set; }
    }
}