﻿
using System;
using System.Collections.Generic;
using IRaCIS.Core.Application.Contracts.DTO;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;

namespace IRaCIS.Core.Application.Contracts
{
    public interface IQARecordService 
    {


        IResponseOutput AddOrUpdateQARecord(QAToalCommand qaTotalCommand);

        IResponseOutput DeleteQARecord(Guid qaQARecordId);

        QADTO GetQARecordList(Guid studyId,Guid trialId);

        IResponseOutput AddQAReply(QADialogCommand qaDialogCommand);

        IResponseOutput DeleteQAReply(Guid  qaReplyId);

        List<DialogDTO> GetQaRecordDialogList(Guid qaRecordId);

    }
}