﻿using IRaCIS.Application.ViewModels;
using IRaCIS.Core.Application.Contracts.RequestAndResponse;
using System;
using System.Collections.Generic;

namespace IRaCIS.Core.Application.Contracts.Trial
{
    public interface ISubjectVisitService
    {

        PageOutput<SubjectVisitNewDTO> GetVisitList(SubjectVisitSearchDTO subjectVisitSearch);


        IEnumerable<SubjectVisitDTO> GetSubjectVisitList(Guid trialId, Guid subjectId);

        List<SubjectVisitSelectDTO> GetSubjectVisitSelectList(Guid trialId, Guid siteId, Guid subjectId);

        IResponseOutput AddOrUpdateSV(SubjectVisitCommand svCommand);


        IResponseOutput DeleteSV(Guid id);


    }
}
