﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class SiteDTO: SiteCommand
    {
       
    }

    public class SiteCommand
    {
        public Guid Id { get; set; }
        public string SiteName { get; set; }
        public string SiteCode { get; set; }
        public string City { get; set; } = string.Empty;
        public string Country { get; set; } = string.Empty;
        public Guid HospitalId { get; set; }
        public string DirectorName { get; set; } = string.Empty;
        public string DirectorPhone { get; set; } = string.Empty;
        public string ContactName { get; set; } = string.Empty;
        public string ContactPhone { get; set; } = string.Empty;
    }

    public class SiteSelectionDTO
    {
        public Guid Id { get; set; }
        public string SiteName { get; set; }
        public string City { get; set; }
        public string Country { get; set; }
    }

    public class SiteSelectDTO : SiteDTO
    {
        public string HospitalName { get; set; }
        public bool IsSelect { get; set; }
    }

    public class SiteQueryParam : PageInput
    {
        public string SiteName { get; set; }
        public Guid UserId { get; set; } = Guid.Empty;
    }
}