﻿using System;
using IRaCIS.Common.Model;

namespace IRaCIS.Application.ViewModels
{
    public class SystemLogDTO
    {
        public Guid Id { get; set; }
        public string LogCategory { get; set; } = string.Empty;
        public string LogTitle { get; set; } = string.Empty;
        public string LogContent { get; set; } = string.Empty;
        public Guid OptUserId { get; set; } = Guid.Empty;
        public string OptUserName { get; set; } = string.Empty;
        public DateTime OptTime { get; set; } = DateTime.Now;
    }

    public class QueryLogQueryDTO : PageInput
    {
        public string Keyword { get; set; } = string.Empty;
        public string LogCategory { get; set; } = string.Empty;
        public DateTime BeginTime { get; set; } = DateTime.Now;
        public DateTime EndTime { get; set; } = DateTime.Now;
    }
}
