﻿using System;

namespace IRaCIS.Application.ViewModels
{
    public class VisitPointDTO
    {
        public Guid? Id { get; set; } = Guid.Empty;
        public Guid SubjectId { get; set; }
        public Guid VisitPlanId { get; set; }
        public DateTime? VisitTime { get; set; } = DateTime.Now;
    }

    public class VisitPointDetailDTO : VisitPointDTO
    {
        
        public Guid TrialId { get; set; }
        public string VisitPlanNum { get; set; }
        public string VisitPlanName { get; set; }
        public string VisitPlanTime { get; set; }
        public string Description { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
