using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("Doctor")]
    public partial class Doctor : Entity, IAuditUpdate, IAuditAdd
    {

        //
        public virtual ICollection<DoctorDictionary> DoctorDicList { get; set; }
        public virtual ICollection<UserDoctor> UserDoctors { get; set; }
        public Doctor()
        {
            //ҽ  Titleȸֶѡ
            DoctorDicList = new HashSet<DoctorDictionary>();


            UserDoctors = new HashSet<UserDoctor>();
        }


        public string Code { get; set; }

       


        [StringLength(100)]
        public string Phone { get; set; } = string.Empty;


        [StringLength(100)]
        public string Password { get; set; } = string.Empty;


        [StringLength(50)]
        public string ChineseName { get; set; } = string.Empty;


        [StringLength(100)]
        public string FirstName { get; set; } = string.Empty;


        [StringLength(100)]
        public string LastName { get; set; } = string.Empty;

        public int Sex { get; set; }


        [StringLength(100)]
        public string EMail { get; set; } = string.Empty;


        [StringLength(100)]
        public string WeChat { get; set; } = string.Empty;


        [StringLength(1000)]
        public string Introduction { get; set; } = string.Empty;

        public Guid DepartmentId { get; set; } = Guid.Empty;


        [StringLength(100)]
        public string DepartmentOther { get; set; } = string.Empty;

        public Guid RankId { get; set; } = Guid.Empty;


        [StringLength(100)]
        public string RankOther { get; set; } = string.Empty;

        public Guid PositionId { get; set; } = Guid.Empty;


        [StringLength(100)]
        public string PositionOther { get; set; } = string.Empty;

        public Guid HospitalId { get; set; } = Guid.Empty;


        [StringLength(200)]
        public string HospitalOther { get; set; } = string.Empty;


        [StringLength(100)]
        public string ReadingTypeOther { get; set; } = string.Empty;


        [StringLength(100)]
        public string SubspecialityOther { get; set; } = string.Empty;

        public int GCP { get; set; }

        public Guid GCPId { get; set; } = Guid.Empty;

        public Guid OrganizationId { get; set; } = Guid.Empty;

        public string OtherClinicalExperience { get; set; } = string.Empty;

        public int CooperateStatus { get; set; }

        public int ResumeStatus { get; set; }


        [StringLength(512)]
        public string PhotoPath { get; set; } = string.Empty;

        [StringLength(512)]
        public string ResumePath { get; set; } = string.Empty;
        public Guid SpecialityId { get; set; } = Guid.Empty;

        public string SpecialityOther { get; set; } = string.Empty;

        public string AdminComment { get; set; } = string.Empty;

        public int ReviewStatus { get; set; }
        public bool AcceptingNewTrial { get; set; } = false;
        public bool ActivelyReading { get; set; } = false;

        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }

        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }

        public DateTime? LastLoginTime { get; set; }

        public Guid AuditUserId { get; set; } = Guid.Empty;

        public DateTime? AuditTime { get; set; }

        public int Nation { get; set; } = 0; // ֧ͣ0-йҽCN1-ҽUS

    }
}
