using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    [Table("ResearchPublication")]
    public partial class ResearchPublication : Entity, IAuditUpdate, IAuditAdd
    {
        public Guid DoctorId { get; set; }
        public string Research { get; set; } = string.Empty;
        public string Grants { get; set; } = string.Empty;
        public string Publications { get; set; } = string.Empty;
        public string AwardsHonors { get; set; } = string.Empty;
        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
