using System;
using System.ComponentModel.DataAnnotations.Schema;

namespace IRaCIS.Core.Domain.Models
{
    /// <summary>
    /// άԱĿϵ - ʵ
    /// </summary>
    [Table("UserTrial")]
    public partial class UserTrial : Entity, IAuditUpdate, IAuditAdd
    {
        public Guid UserId { get; set; }
        public Guid TrialId { get; set; }


        public Guid UserTypeId { get; set; }
        public string UserType { get; set; }
        public Guid OrganizationTypeId { get; set; } = Guid.Empty;
        public string OrganizationType { get; set; } = string.Empty;
        public string OrganizationName { get; set; } = string.Empty;
        public Guid OrganizationId { get; set; }

        public string UserRealName { get; set; }

        public Guid SiteId { get; set; } = Guid.Empty;

        public Guid UpdateUserId { get; set; }
        public DateTime UpdateTime { get; set; }
        public Guid CreateUserId { get; set; }
        public DateTime CreateTime { get; set; }
    }
}
